> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Pinless Call Update

> Direct a SIP or PSTN call on hold to a specified SIP URI associated to a Daily Room.



## OpenAPI

````yaml POST /dialin/pinlessCallUpdate
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /dialin/pinlessCallUpdate:
    post:
      tags:
        - dialin
      summary: /dialin/pinlessCallUpdate
      description: >-
        Direct a SIP or PSTN call on hold to a specified SIP URI associated to a
        Daily Room.
      operationId: PinlessCallUpdate
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                callId:
                  type: string
                  description: >-
                    CallId is represented by UUID and represents the sessionId
                    in the SIP Network. This is obtained from the [webhook
                    payload](/guides/features/dial-in-dial-out/sip-interconnect-pinless).
                callDomain:
                  type: string
                  description: >-
                    Call Domain is represented by UUID and represents your Daily
                    Domain on the SIP Network. This is obtained from the
                    [webhook
                    payload](/guides/features/dial-in-dial-out/sip-interconnect-pinless).
                sipUri:
                  type: string
                  description: >-
                    This SIP URI is associated to the Daily Room that you want
                    to forward the SIP Interconnect call to.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    ok: 'true'
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````